import greenfoot.*;

/**
 * @author Devin Magee
 * @version 1.00
 */
public class Asteroid extends Actor
{
    /**
     * Act - do whatever the Invader wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
       killPlayer();
       World world1 = getWorld();
       int height = world1.getHeight();       
       
       if (isAtEdge()) {
           setLocation(Greenfoot.getRandomNumber(900)-100, 0);
       }
       
       int x = getX();
       int y = getY();
 
       setLocation(x, y+1);
    }
    
    public void killPlayer()
    {
        Actor player;
        Actor explosion;
        player = getOneObjectAtOffset(0,0,Player.class);
        if (player != null)
        {
            World world;
            world = getWorld();
            world.addObject(new Explosion(), player.getX(), player.getY());
            world.removeObject(player);
            Greenfoot.stop();
        }
    }      
                       
}