import greenfoot.*;

/**
 * @author Devin Magee
 * @version 1.00
 */
public class Laser extends Actor
{    
    int asteroidDestroyPoints = 0;
        
    public void act() 
    {
        if (isAtEdge()) {
            getWorld().removeObject(this);
        }
        else {
            Actor asteroid = getOneObjectAtOffset(1,1,Asteroid.class);

            if (asteroid != null) {
                World w = getWorld();
                w.removeObject(asteroid);
                Space space = (Space)w;
                Counter counter = space.getCounter();
                counter.addScore();
                w.removeObject(this);
                asteroidDestroyPoints++;
            }
            else {
                setLocation(getX(), getY()-1);
            }
        }
    }    
}
